package globals

import "errors"

var (
	ERR_NO_BIND_USER = errors.New("No bind user")

	List_ERR_NULL        = errors.New("列表空")
	List_ERR_UNSUPPORT   = errors.New("当前列表不支持该操作")
	List_ERR_SEARCH_NULL = errors.New("Search节点失败")

	MusicList_ERR_MUSICINFO_NULL = errors.New("歌曲信息为空")
	MusicList_ERR_MUSIC_NULL     = errors.New("没有歌曲可以播放")
	MusicList_ERR_GET_CUR_INFL   = errors.New("获取当前歌曲信息失败")

	NormalList_ERR_NODE_NULL    = errors.New("节点信息为空")
	NormalList_ERR_INVALID_NODE = errors.New("通用链表插入了无效的节点")
	Normal_ERR_ACTION           = errors.New("错误的操作")

	Tts_ERR_NODE_NULL = errors.New("节点信息为空")

	Server_ERR_RET    = errors.New("暂时没办法为你继续播放了，待会儿再试试吧") //请求音乐失败,服务器下发数据异常
	No_Permission_Err = errors.New("付费歌曲或者下架歌曲")

	Repeat_ERR_NULL = errors.New("没有可执行任务")

	PARAMS_ERR_INVALID = errors.New("参数异常")

	Net_ERR_Post = errors.New("网络异常，请稍后再试")
)
